------------------------------------------------------------------------------------------

#### Retornar dados de vendas em um período

<details>
 <summary><code>POST</code> <code><b>/RecuperarDadosVenda</b></code></summary>

##### Parameters

> | name      |  type     | data type               | description                                                           |
> |-----------|-----------|-------------------------|-----------------------------------------------------------------------|
> | periodo   |  required | object (JSON) {inicio, final} | `{"periodo": {"inicio": "01/01/2023 00:00:00", "final":"15/06/2023 23:59:59"}}`  |


##### Responses

> | http code     | content-type                      | response                                                            |
> |---------------|-----------------------------------|---------------------------------------------------------------------|
> | `200`         | `application/json`                | `{"error":"boolean","message":"string", data: "object"}`           |

</details>

#### Relatório de vendas em um período por filial

<details>
 <summary><code>POST</code> <code><b>/RecuperarDadosRelatorio</b></code></summary>

##### Parameters

> | name      |  type       | data type               | description                                                           |
> |-----------|-------------|-------------------------|-----------------------------------------------------------------------|
> | periodo   |  required   | object (JSON) {inicio, final} | `{"periodo": {"inicio": "01/01/2023 00:00:00", "final":"15/06/2023 23:59:59"}}`  |
> | filiais   |  (optional) | array[]                 | `['0001', '0002']` default 'T'                                        |


##### Responses

> | http code     | content-type                      | response                                                            |
> |---------------|-----------------------------------|---------------------------------------------------------------------|
> | `200`         | `application/json`                | `{"error":"boolean","message":"string", data: "object"}`           |

</details>

#### Recupera todos os dados das vendas no período informado e retorna um Array de objetos JSON mostrando os resultados.

<details>
 <summary><code>POST</code> <code><b>/RecuperarDadosVendaGrupo</b></code></summary>

##### Parameters

> | name      |  type     | data type               | description                                                           |
> |-----------|-----------|-------------------------|-----------------------------------------------------------------------|
> | periodo   |  required | object (JSON) {inicio, final} | `{"periodo": {"inicio": "01/01/2023 00:00:00", "final":"15/06/2023 23:59:59"}}`  |


##### Responses

> | http code     | content-type                      | response                                                            |
> |---------------|-----------------------------------|---------------------------------------------------------------------|
> | `200`         | `application/json`                | `{"error":"boolean","message":"string", data: "object"}`           |


</details>


------------------------------------------------------------------------------------------

